<template>
  <div class="change-pass">
    <div class="container">
      <div class="change-pass-head">
        <img @click="back" src="../assets/images/icons/back.svg" alt="">
        <p class="title">Сменить пароль</p>
      </div>
      <div class="registration">
        <transition-group name="v-transition-animate-change-pass">
          <div v-if="step === 1" :key="1">
            <div class="card">
              <p class="card-title">Сменить пароль</p>
              <Input name="Старый пароль" input input-type="password" placeholder="********"/>
              <Input name="Новый пароль" input input-type="password" placeholder="********"/>
              <Input name="Подтвердите новый пароль" input input-type="password" placeholder="********"/>
            </div>
            <div class="auth-policy">
              <div>
                <input name="policy" id="policy" checked type="checkbox">
                <label for="policy">
                  Я согласен с политикой конфидициальности
                </label>
              </div>
            </div>
            <Button @click.native="$router.go(-1)" arrow text="Сменить пароль"/>
          </div>
        </transition-group>
      </div>
    </div>
  </div>
</template>

<script>
import Button from "./Button";
import Input from "./Input";

export default {
  name: "Change-password",
  components: {Button, Input},
  data () {
    return {
      step: 1
    }
  },
  computed: {
  },
  methods: {
    back () {
      if (this.step === 1) this.$router.go(-1)
      if (this.step === 2) return this.step = 1
    }
  }
}
</script>

<style scoped lang="scss">
.change-pass {
  padding-bottom: 24px;
  position: relative;
  z-index: 300;
  background-color: #F1F2F4;
  height: 100vh;
  .container {
    .change-pass-head {
      display: flex;
      margin-bottom: 40px;
      p {
        width: 100%;
        text-align: center
      }
    }
    .registration {
      margin-bottom: 24px;
      .card {
        margin-bottom: 12px;
      }
    }
    .auth-policy {
      display: flex;
      justify-content: space-between;
      align-items: center;
      color: #2B7FE2;
      margin: 12px 0 24px 0;
      input {
        margin-right: 12px;
        transform: translate(0, 1px);
      }
      .auth-pass-recovery {
        a { color: #25282B; }
      }
    }
  }
}
.v-transition-animate-change-pass-enter {
  transform: translateX(350px);
  opacity: 0;
}
.v-transition-animate-change-pass-enter-active {
  transition: all .4s ease;
}
.v-transition-animate-change-pass-enter-to {
  opacity: 1;
}
.v-transition-animate-change-pass-leave {
  height: 150px;
  opacity: 1;
}
.v-transition-animate-change-pass-leave-active {
  transition: transform .4s ease, opacity .4s, height .4s .2s;
}
.v-transition-animate-change-pass-leave-to {
  height: 0;
  transform: translateX(350px);
  opacity: 0;
}
.v-transition-animate-change-pass-move {
  transition: transform .4s;
}
</style>
